Плагин ADT не может установить: Отсутствует требование: инструменты для разработки Android

Я попытался установить плагин ADT на eclipse helios windows 64 бит classic. Я получил эту ошибку:

Не удается завершить установку, потому что не удалось найти один или несколько требуемых элементов. Установленное программное обеспечение: средства разработки для Android 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534) Отсутствующие требования: средства разработки для Android 16.0.1.v201112150204-238534 ( Com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534) требует «org.eclipse.wst.sse.core 0.0.0», но его не удалось найти

Solutions Collecting From Web of "Плагин ADT не может установить: Отсутствует требование: инструменты для разработки Android"

Вы ДОЛЖНЫ запускать eclipse в качестве администратора для установки плагинов под Vista или 7 !!! Щелкните правой кнопкой мыши файл eclipse.exe (а не ярлык). Если у вас все еще есть проблемы, попробуйте шаг ниже.

Одна из причин, по которой это может произойти, состоит в том, что вам сначала нужно включить выпуск, совместимый с вашей версией eclipse:

http://download.eclipse.org/releases/juno (или helios, ganimede, индиго и т. Д.)

В случае, если вам не хватает sroid sroid, загрузите с http://developer.android.com/sdk/index.html

После его установки вы должны войти в папку c: / Program Files (x86) / Android / android-sdk / platform / и создать новую (пустую) папку «android-7». Затем создайте папку с именем temp в c: / Program Files (x86) / Android / android-sdk /, и вам будет предложено загрузить SDK, когда вы снова запустите eclipse (всегда как администратор)

Наконец, перезапустите, и вы должны быть в порядке

PS: вы должны обновить свое затмение (под HELP), а затем выйти из него. Перезагрузитесь в режиме администратора и откройте пакеты Android SDK (не HELP, вкладка слева [не на моей рабочей станции прямо сейчас, будет reedit позже]).

Без установки в основном всего там (от 3 до 12 часов, в зависимости от скорости вашего соединения), у вас не будет полной среды, и некоторые компиляции просто не сработают.

Версия eclipse устарела, вам необходимо предоставить библиотеку org.eclipse.wst.sse.core 0.0.0 .

См. Инструкции здесь: http://code.google.com/intl/es/eclipse/docs/faq.html#wstinstallerror

Или, я бы рекомендовал перейти на Eclipse Indigo, у которого не будет этой проблемы.

Если вы используете Eclipse Juno (т.е. 4.xx) в Win 7 и сталкиваетесь с проблемами установки Android ADT Plugin для eclipse, выполните следующие действия:

  1. Перейдите туда, где находится файл eclipse.exe (по умолчанию: C: \ Program Files (x86) \ eclipse)
  2. НЕ левый клик (запустите его), но нажмите правой кнопкой мыши на eclipse.exe
  3. Выберите запустить как администратор.

Затем он работает. Затем просто следуйте руководству Android по этому вопросу (http://developer.android.com/sdk/installing/installing-adt.html).

Щелчок правой кнопкой мыши по файлу eclipse.exe и выбор «Запуск от имени администратора» предоставит вам права доступа к файлам, которые позволят обновлять ADT через Eclipse / Android SDK Manager в раскрывающемся списке «Окно Eclipse».

В моем случае в моей системе Windows 7 отсутствовал необходимый плагин «Android SDK Platform-tools 16.0.1». Я предлагаю повторно запустить Windows после завершения этой установки плагина. После перезапуска Eclipse (Juno) появляется сообщение об ошибке «Не удалось найти C: \ Program Files \ Android \ android-sdk-windows \ platform-tools \ adb.exe!" Был ликвидирован.